Issue184

Title Create a tracker instance for jython
Priority feature Status resolved
Superseder Nosy List draghuram, fwierzbicki, loewis
Assigned To draghuram Topics jython

Created on 2008-02-06.21:45:12 by draghuram, last changed 2008-02-13.20:16:33 by loewis.

Messages
msg933 (view) Author: draghuram Date: 2008-02-06.21:45:11
It has been decided to switch jython's tracker from SF to roundup. This issue
will be used to track it's progress.
msg934 (view) Author: draghuram Date: 2008-02-08.03:10:25
Martin,

I gathered the following information from jython's SF trackers.

components (merged from three SF trackers)
   Any
   Core
   Documentation
   Installer
   Jythonc compiler
   Library
   website
   zxjdbc

Priorities
   We can use same mapping as for python.

Versions (SF's Groups)
   Deferred
   Fixed in 2.1a3
   Fixed in 2.1b1
   Fixed in 2.1b2
   Fixed in 2.1final
   Fixed in 2.2a0
   targeted for 2.2.1rc1
   targeted for 2.2beta1
   targeted for 2.2beta2
   targeted for 2.2rc1
   targeted for 2.2rc2
   targeted for 2.2rc3
   test failure causes

issue_types
   behaviour
   security
   rfe
   crash

resolutions
   We can use python's values.

Please let me know if you want any help from me in further progress of this
issue. BTW, in your earlier mail, you said "I see that the Jython tracker has
nothing above 5, but also has 4, 3, 2". When I sorted the bugs by priority, I do
see values starting from 9 downwards. Am I missing something?

Thanks,
Raghu
msg935 (view) Author: loewis Date: 2008-02-09.11:05:37
I have now created a Jython tracker at

http://psf.upfronthosting.co.za/roundup/jython/

and imported all issues at time 1202518715. The tracker instance is checked in at

http://svn.python.org/projects/tracker/instances/jython/

Nosy email is currently disabled until the emailing details are resolved;
password recovery through email should work.

As the next step, we should tackle email and DNS issues (DNS only if you want to
use a different tracker URL than the one that the tracker currently has)
msg936 (view) Author: groves Date: 2008-02-09.22:50:44
Are there tracker docs beyond what's at http://wiki.python.org/moin/TrackerDocs/
 I'm trying to figure out if it's possible to batch edit items ie we're going to
want to close everything with the "Jythonc compiler" component when we finally
finish transitioning away from it.

Do we need to find someone to integrate the look of the tracker into Jython's site?

The initial import looks good from my poking around.  It's great to see the
r<number> messages I've been adding to messages actually link to fisheye.
msg937 (view) Author: groves Date: 2008-02-09.22:54:56
For versions, it'd be nice to make "test failure causes" a keyword, and then the
remaining items would uniformly be the version when an issue was resolved.
msg938 (view) Author: loewis Date: 2008-02-09.23:14:43
> Are there tracker docs beyond what's at http://wiki.python.org/moin/TrackerDocs/
>  I'm trying to figure out if it's possible to batch edit items ie we're going to
> want to close everything with the "Jythonc compiler" component when we finally
> finish transitioning away from it.

To batch-edit, the easiest thing would be to submit an issue here; I'll 
do the batch edit.

> Do we need to find someone to integrate the look of the tracker into Jython's site?

I don't understand the question. What else needs to be done?

Regards,
Martin
msg939 (view) Author: loewis Date: 2008-02-09.23:16:37
> For versions, it'd be nice to make "test failure causes" a keyword, and then the
> remaining items would uniformly be the version when an issue was resolved.

I don't understand. What are "the remaining items", what is "uniformly",
and what is "the version when an issue was resolved"?

Perhaps you can give a specific example?
msg940 (view) Author: groves Date: 2008-02-10.00:02:17
>> Do we need to find someone to integrate the look of the tracker into Jython's
site?

>I don't understand the question. What else needs to be done?

Not much at the moment.  That the colors for the roundup stuff doesn't match the
rest of the site makes it look like it was pasted in there.

I asked if we should get someone to do this kinda stuff as I didn't want to
bother you with a bunch of fiddly UI requests, and I'm sure more will come up.
msg941 (view) Author: groves Date: 2008-02-10.00:07:34
>I don't understand. What are "the remaining items", what is "uniformly",
>and what is "the version when an issue was resolved"?

I'm referring to the Versions field that came from groups on Sourceforge.  These
are the values right now:
   Deferred
   Fixed in 2.1a3
   Fixed in 2.1b1
   Fixed in 2.1b2
   Fixed in 2.1final
   Fixed in 2.2a0
   targeted for 2.2.1rc1
   targeted for 2.2beta1
   targeted for 2.2beta2
   targeted for 2.2rc1
   targeted for 2.2rc2
   targeted for 2.2rc3
   test failure causes

I'd like to take anything that has the version "test failure causes", give it a
keyword of the same name, and unset its version value.  Then we could delete the
"test failure causes" version and the values for versions would "uniformly" be
versions.
msg942 (view) Author: loewis Date: 2008-02-10.06:43:07
> I asked if we should get someone to do this kinda stuff as I didn't want to
> bother you with a bunch of fiddly UI requests, and I'm sure more will come up.

Yes: if the UI doesn't look right, please provide patches against the 
tracker instance.
msg943 (view) Author: loewis Date: 2008-02-10.06:45:30
> I'd like to take anything that has the version "test failure causes", give it a
> keyword of the same name, and unset its version value.  Then we could delete the
> "test failure causes" version and the values for versions would "uniformly" be
> versions.

Ah, ok. I'll fix the importer to do so on the next round.
msg944 (view) Author: draghuram Date: 2008-02-10.18:10:17
On Feb 9, 2008 6:05 AM, Martin v. Löwis
<metatracker@psf.upfronthosting.co.za> wrote:
>
> Martin v. Löwis added the comment:
>
> I have now created a Jython tracker at
>
> http://psf.upfronthosting.co.za/roundup/jython/

The messages in each tracker item show up very small by default on my
laptop. The python tracker items look fine. Has any one else noticed
this?

> and imported all issues at time 1202518715. The tracker instance is checked in at
>
> http://svn.python.org/projects/tracker/instances/jython/

I will try to set up a local tracker instance. Last week, I tried to
set up local python tracker as detailed in
http://wiki.python.org/moin/TrackerDevelopment?highlight=%28tracker%29
but I ran into some problems. The page needs to mention spambayes and
psycopg2 (I can do that once I have a successful setup). After I
checked them out, I got an error about a missing user in the data
base. I will start a separate thread for it.

> Nosy email is currently disabled until the emailing details are resolved;
> password recovery through email should work.

> As the next step, we should tackle email and DNS issues (DNS only if you want to
> use a different tracker URL than the one that the tracker currently has)

Can you please mention what needs to be done for email? I think we
should go for "bugs.jython.org" so that would require DNS change.

Thanks,
Raghu
msg945 (view) Author: loewis Date: 2008-02-10.18:49:40
>> I have now created a Jython tracker at
>>
>> http://psf.upfronthosting.co.za/roundup/jython/
> 
> The messages in each tracker item show up very small by default on my
> laptop. The python tracker items look fine. Has any one else noticed
> this?

I'm using the jython.org style sheets. I assumed the font sizes are 
intentional. If not, please provide patches (or change the style sheets
themselves).

>> and imported all issues at time 1202518715. The tracker instance is checked in at
>>
>> http://svn.python.org/projects/tracker/instances/jython/
> 
> I will try to set up a local tracker instance. Last week, I tried to
> set up local python tracker as detailed in
> http://wiki.python.org/moin/TrackerDevelopment?highlight=%28tracker%29
> but I ran into some problems. The page needs to mention spambayes and
> psycopg2 (I can do that once I have a successful setup).

You need psycopg or psycopg2, yes. You don't need spambayes installed,
but you do need to check out the spambayes_integration.

Please do edit the Wiki to add any missing pieces.

>> As the next step, we should tackle email and DNS issues (DNS only if you want to
>> use a different tracker URL than the one that the tracker currently has)
> 
> Can you please mention what needs to be done for email? I think we
> should go for "bugs.jython.org" so that would require DNS change.

I think the first step should then be the DNS setup. We need

bugs.jython.org.        86400   IN      MX      10 bugs.python.org
bugs.jython.org.        86400   IN      A       88.198.142.26

The reverse lookup will point to bugs.python.org; there isn't much
we can do about that. Perhaps it's better to make bugs.jython.org
a CNAME instead.

Then, I need to know
a) the submission address for new issues, and reply address for
    follow-ups (report@bugs.python.org for the python-dev tracker)
    (config.ini:[tracker]:email)
b) an email list where new bug reports are sent to (optional)
c) an email list where just any change in the tracker is sent to
    (optional)
d) an email list where weekly status reports are sent to (optional)
e) a recipient (list) for admin_email

Regards,
Martin
msg946 (view) Author: stephen Date: 2008-02-10.22:49:08
Martin v. Löwis writes:
 > I think the first step should then be the DNS setup. We need
 > 
 > bugs.jython.org.        86400   IN      MX      10 bugs.python.org
 > bugs.jython.org.        86400   IN      A       88.198.142.26
 > 
 > The reverse lookup will point to bugs.python.org; there isn't much
 > we can do about that. Perhaps it's better to make bugs.jython.org
 > a CNAME instead.

I personally prefer the CNAME approach for my own installation.  I run
Roundup behind Apache, on an Apache vhost with that name.  So far in
light testing I've been unable to "escape" from the published name to
the canonical name of the host, although of course I can get to the
tracker by using the canonical name.  So I don't really see a need for
PTRs to point to the published domain.
msg947 (view) Author: draghuram Date: 2008-02-11.16:48:39
On Feb 10, 2008 1:49 PM, Martin v. Löwis
<metatracker@psf.upfronthosting.co.za> wrote:

> I'm using the jython.org style sheets. I assumed the font sizes are
> intentional. If not, please provide patches (or change the style sheets
> themselves).

The font size looks ok from my linux desktop but it looked unreadable
on my xp laptop. I don't know if any one else observed this or not. I
do like the way cpython's tracker items look (which is pretty much
same on both my machines).

> You need psycopg or psycopg2, yes. You don't need spambayes installed,
> but you do need to check out the spambayes_integration.

> Please do edit the Wiki to add any missing pieces.

Done.

> I think the first step should then be the DNS setup. We need
>
> bugs.jython.org.        86400   IN      MX      10 bugs.python.org
> bugs.jython.org.        86400   IN      A       88.198.142.26
>
> The reverse lookup will point to bugs.python.org; there isn't much
> we can do about that. Perhaps it's better to make bugs.jython.org
> a CNAME instead.

I am not expert at these things but I guess some one who is
maintaining jython.org needs to do this. Frank, Charlie?

> Then, I need to know
> a) the submission address for new issues, and reply address for
>     follow-ups (report@bugs.python.org for the python-dev tracker)
>     (config.ini:[tracker]:email)
> b) an email list where new bug reports are sent to (optional)
> c) an email list where just any change in the tracker is sent to
>     (optional)
> d) an email list where weekly status reports are sent to (optional)
> e) a recipient (list) for admin_email

AFAICT, jython.org doesn't operate any mailing lists on it's own. It
would be nice if we (jython community) can set up at least few of
these lists. I found python's New-Bugs-Announce list very useful and
am sure the same will be true for jython. Frank, Charile: comments?

As for the admin_email, I am ok for my email to be added there.

Thanks,
Raghu
msg948 (view) Author: draghuram Date: 2008-02-11.16:51:24
I just noticed that Charile Groves id does not appear in nosy list
even though he posted messages for this issue. Doesn't adding a
comment automatically result in addition to nosy list?
msg949 (view) Author: loewis Date: 2008-02-11.18:09:43
> I just noticed that Charile Groves id does not appear in nosy list
> even though he posted messages for this issue. Doesn't adding a
> comment automatically result in addition to nosy list?

Not in this tracker, no.
msg950 (view) Author: fwierzbicki Date: 2008-02-12.00:18:43
draghuram: does the Jython website appear too small on your laptop?  If so maybe
the css needs to be edited in general.
msg951 (view) Author: groves Date: 2008-02-12.06:55:09
>> I think the first step should then be the DNS setup.
>I am not expert at these things but I guess some one who is
>maintaining jython.org needs to do this. Frank, Charlie?

The last time we needed to change something in the DNS, Khalid said it was
managed by XS4ALL.  He said he emailed the pydotorg mailing list and they took
care of it.

> AFAICT, jython.org doesn't operate any mailing lists on it's own. It
> would be nice if we (jython community) can set up at least few of
> these lists. I found python's New-Bugs-Announce list very useful and
> am sure the same will be true for jython. Frank, Charile: comments?

All of our lists are run by sourceforge.  We have
https://lists.sourceforge.net/lists/listinfo/jython-bugs which has been working
well for me, and I think it can serve as the bugs list for the new tracker too.
msg952 (view) Author: draghuram Date: 2008-02-12.13:44:21
On Feb 11, 2008 7:18 PM, Frank Wierzbicki
<metatracker@psf.upfronthosting.co.za> wrote:
> draghuram: does the Jython website appear too small on your laptop?  If so maybe
> the css needs to be edited in general.

The web site looks ok. Even the top page of tracker looks fine.
However, when I click on a bug, the messages look very small,
practically unreadable.
msg953 (view) Author: draghuram Date: 2008-02-12.17:35:36
> I think the first step should then be the DNS setup. We need
>
> bugs.jython.org.        86400   IN      MX      10 bugs.python.org
> bugs.jython.org.        86400   IN      A       88.198.142.26

As per Charlie's mail, a mail to the pydotorg is required for this
change. Frank, Charlie, can one of you take care of sending mail and
getting this change done? I think it would be better if ti comes from
maintainers of the project.

> Then, I need to know
> a) the submission address for new issues, and reply address for
>     follow-ups (report@bugs.python.org for the python-dev tracker)  (config.ini:[tracker]:email)

How about report@bugs.jython.org (assuming DNS change is done)?

> b) an email list where new bug reports are sent to (optional)
> c) an email list where just any change in the tracker is sent to
>     (optional)

jython-bugs@lists.sourceforge.net. This is the only bugs list
available and we can use it for both purposes for now.

> d) an email list where weekly status reports are sent to (optional)

jython-dev@lists.sourceforge.net.

> e) a recipient (list) for admin_email

draghuram@gmail.com (my address)
msg954 (view) Author: loewis Date: 2008-02-12.19:16:15
> As per Charlie's mail, a mail to the pydotorg is required for this
> change. Frank, Charlie, can one of you take care of sending mail and
> getting this change done? I think it would be better if ti comes from
> maintainers of the project.

Let me talk to Sean Reifschneider first - he might be the one who
ultimately implements the change.

>> e) a recipient (list) for admin_email
> 
> draghuram@gmail.com (my address)

Ok. I'll add Erik Forsberg and myself as well.
msg956 (view) Author: loewis Date: 2008-02-12.21:18:43
The DNS change has now been made.
msg966 (view) Author: loewis Date: 2008-02-13.20:16:33
With the help of izak, I also made all the Email changes.

I'm beginning to lose track of any open issues with that installation, so I will
close this issue now as resolved. Any remaining issues with that instance should
be reported separately.
History
Date User Action Args
2008-02-13 20:16:33loewissetstatus: chatting -> resolved
messages: + msg966
2008-02-12 21:18:43loewissetmessages: + msg956
2008-02-12 19:16:15loewissetmessages: + msg954
2008-02-12 17:35:37draghuramsetmessages: + msg953
2008-02-12 13:44:21draghuramsetmessages: + msg952
2008-02-12 06:55:10grovessetmessages: + msg951
2008-02-12 00:18:44fwierzbickisetmessages: + msg950
2008-02-11 18:09:43loewissetmessages: + msg949
2008-02-11 16:51:24draghuramsetmessages: + msg948
2008-02-11 16:48:40draghuramsetmessages: + msg947
2008-02-10 22:49:08stephensetmessages: + msg946
2008-02-10 18:49:40loewissetmessages: + msg945
2008-02-10 18:10:18draghuramsetmessages: + msg944
2008-02-10 06:45:30loewissetmessages: + msg943
2008-02-10 06:43:08loewissetmessages: + msg942
2008-02-10 00:07:34grovessetmessages: + msg941
2008-02-10 00:02:17grovessetmessages: + msg940
2008-02-09 23:16:37loewissetmessages: + msg939
2008-02-09 23:14:43loewissetmessages: + msg938
2008-02-09 22:54:56grovessetmessages: + msg937
2008-02-09 22:50:44grovessetmessages: + msg936
2008-02-09 11:05:38loewissetassignedto: loewis -> draghuram
messages: + msg935
2008-02-08 06:33:50loewissettopic: + jython
2008-02-08 03:11:19draghuramsetassignedto: loewis
nosy: + loewis
2008-02-08 03:10:26draghuramsetstatus: unread -> chatting
messages: + msg934
2008-02-07 18:34:32fwierzbickisetnosy: + fwierzbicki
2008-02-06 21:45:12draghuramcreate